# Uses of Interface
com.sparshui.client.SparshClient

Packages that use SparshClient
Package
Description
com.sparshui.client
org.jmol.multitouch.sparshui

## Uses of SparshClient in com.sparshui.client

Methods in com.sparshui.client with parameters of type SparshClient
Modifier and Type
Method
Description
`boolean`
ClientToServerProtocol.`processRequest(SparshClient client)`
Processes a request from the Gesture Server
Constructors in com.sparshui.client with parameters of type SparshClient
Modifier
Constructor
Description
``
`ClientServerConnection(String address, SparshClient client)`
Instantiate a Server Connection object.

## Uses of SparshClient in org.jmol.multitouch.sparshui

Classes in org.jmol.multitouch.sparshui that implement SparshClient
Modifier and Type
Class
Description
`class`
`JmolSparshClientAdapter`